import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';
import { TwilioSettingsWhereInputObjectSchema as TwilioSettingsWhereInputObjectSchema } from './TwilioSettingsWhereInput.schema'

const makeSchema = () => z.object({
  is: z.lazy(() => TwilioSettingsWhereInputObjectSchema).optional().nullable(),
  isNot: z.lazy(() => TwilioSettingsWhereInputObjectSchema).optional().nullable()
}).strict();
export const TwilioSettingsNullableScalarRelationFilterObjectSchema: z.ZodType<Prisma.TwilioSettingsNullableScalarRelationFilter> = makeSchema() as unknown as z.ZodType<Prisma.TwilioSettingsNullableScalarRelationFilter>;
export const TwilioSettingsNullableScalarRelationFilterObjectZodSchema = makeSchema();
